# Invoke-RASPerformanceMonitor.md

## NAME

Invoke-RASPerformanceMonitor

## SYNOPSIS

Invokes an action on the Performance Monitor.

## SYNTAX

\*\*Invoke-RASPerformanceMonitor -[RetrieveURL](#retrieveurl-string) *(SwitchParameter)* \[[IsLightTheme](#islighttheme-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Invokes an action on the Performance Monitor.

## PARAMETERS

## RetrieveURL (SwitchParameter)

Retrieve URL

```
        Required?                    true

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## IsLightTheme (SwitchParameter)

Whether the browser should be set to light theme or not.

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[String](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/String.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Invoke-RASPerformanceMonitor -RetrieveURL

Retrieves the Preformance Monitor URL.\
\*\*---------- EXAMPLE 2 ----------

Invoke-RASPerformanceMonitor -RetrieveURL -LightTheme

Retrieves the Preformance Monitor URL with Light Theme.

## RELATED LINKS

* [Get-RASPerformanceMonitorSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasperformancemonitorsettings.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasperformancemonitor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
